# Class webdriver.Locator

code »

An element locator.

## Constructor

webdriver.Locator ( using, value )

Parameters

using: `string`
  The type of strategy to use for this locator.
value: `string`
  The search target of this locator.

Show:PublicProtectedPrivate

## Instance Methods

code » toString ( ) ⇒ `string`

## Instance Properties

code » using : `string`

The search strategy to use when searching for an element.

code » value : `string`

The search target for this locator.

## Static Functions

code » webdriver.Locator.checkLocator ( value ) ⇒ `!(webdriver.Locator|Function)`

Verifies that a `value` is a valid locator to use for searching for elements on the page.

Parameters

value: `*`
  The value to check is a valid locator.

Returns

A valid locator object or function.

Throws

`TypeError`
  If the given value is an invalid locator.

code » webdriver.Locator.factory_ ( type ) ⇒ `function(string): !webdriver.Locator`

Creates a factory function for a `webdriver.Locator`.

Parameters

type: `string`
  The type of locator for the factory.

Returns

The new factory function.